# Class ValueInfoCellEditor

java.lang.Object
uk.ac.starlink.table.gui.ValueInfoCellEditor

public class ValueInfoCellEditor extends Object
Can make a TableCellEditor suitable for a ValueInfo.

Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ValueInfoCellEditor()`

## Method Summary

Modifier and Type
Method
Description
`static TableCellEditor`
`makeEditor(ValueInfo vinfo)`
Returns a TableCellEditor that can be used for editing the values described by this `ValueInfo`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueInfoCellEditor

public ValueInfoCellEditor()

## Method Details

### makeEditor

public static TableCellEditor makeEditor(ValueInfo vinfo)
Returns a TableCellEditor that can be used for editing the values described by this `ValueInfo`.

Parameters:
  `vinfo` - the ValueInfo object describing the cell to be edited
Returns:
  a TableCellEditor